## boomaga 1.3.0

=== src/boomaga/pdfmerger/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2013 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required(VERSION 3.0.0)
cmake_policy(SET CMP0028 NEW)

project(boomagamerger)

set(MERGER_HEADERS
    pdfmerger.h
    pdfprocessor.h
    pdfmergeripc.h
    ../pdfparser/pdferrors.h
    ../pdfparser/pdfxref.h
    ../pdfparser/pdfvalue.h
    ../pdfparser/pdfobject.h
    ../pdfparser/pdfreader.h
    ../pdfparser/pdfwriter.h
)

set(MERGER_SOURCES
    main.cpp
    pdfmerger.cpp
    pdfprocessor.cpp
    pdfmergeripc.cpp
    ../pdfparser/pdfxref.cpp
    ../pdfparser/pdfvalue.cpp
    ../pdfparser/pdfobject.cpp
    ../pdfparser/pdfreader.cpp
    ../pdfparser/pdfwriter.cpp
)


#*******************************************
set(EXECUTABLE_OUTPUT_PATH "${PROJECT_BINARY_DIR}/..")
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
find_package(Qt5 REQUIRED
    Core
    Widgets
    PrintSupport
    LinguistTools
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CUPS_INCLUDE_DIR}
)

find_package(ZLIB REQUIRED)
include_directories(${ZLIB_INCLUDE_DIRS})
set(MERGER_LIBRARIES ${MERGER_LIBRARIES} ${ZLIB_LIBRARIES})

add_executable(${PROJECT_NAME} ${MERGER_HEADERS} ${MERGER_SOURCES})
target_link_libraries(${PROJECT_NAME} ${MERGER_LIBRARIES} Qt5::Core Qt5::Widgets Qt5::PrintSupport)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${NONGUI_DIR})

=== src/boomaga/tests/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2014 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required(VERSION 3.0.0)
cmake_policy(SET CMP0028 NEW)

project(boomaga_test)


set(TEST_HEADERS
    testboomaga.h
    tools.h

    ../pdfparser/pdferrors.h
    ../pdfparser/pdfreader.h
    ../pdfparser/pdfvalue.h
    ../pdfparser/pdfobject.h
    ../pdfparser/pdfwriter.h
    ../pdfparser/pdfxref.h
    ../../backend/dbus/envinfo.h
)

set(TEST_SOURCES
    testboomaga.cpp
    testpdfparser.cpp
    testpdfreader.cpp
    testpdfwriter.cpp
    ../pdfparser/pdfreader.cpp
    ../pdfparser/pdfvalue.cpp
    ../pdfparser/pdfobject.cpp
    ../pdfparser/pdfwriter.cpp
    ../pdfparser/pdfxref.cpp
    ../../backend/dbus/envinfo.cpp
)


macro(ADD_FROM_PROJECT OUT_FILES)
    set (IN_FILES ${ARGN})
    foreach(FILE ${IN_FILES})
        if(NOT FILE STREQUAL "main.cpp")
            set(${OUT_FILES} ${${OUT_FILES}} "../${FILE}")
        endif()
    endforeach()
endmacro()


ADD_FROM_PROJECT(TEST_HEADERS ${HEADERS})
ADD_FROM_PROJECT(TEST_SOURCES ${SOURCES})


add_definitions(-DTEST_DATA_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/data/\")

set(TEST_OUT_DIR "${CMAKE_CURRENT_BINARY_DIR}/output/")
file(MAKE_DIRECTORY ${TEST_OUT_DIR})
add_definitions(-DTEST_OUT_DIR=\"${TEST_OUT_DIR}\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

find_package(Qt5 REQUIRED
    Core
    Test
    Widgets
    PrintSupport
    DBus
    LinguistTools
)


add_executable(${PROJECT_NAME} ${TEST_HEADERS} ${TEST_SOURCES})
target_link_libraries(${PROJECT_NAME} ${LIBRARIES} Qt5::Core Qt5::Test Qt5::Widgets Qt5::PrintSupport Qt5::DBus)

=== src/backend/dbus/root/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2016 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required( VERSION 2.6 )

project(backend_dbus_root)

set(HEADERS
)

set(SOURCES
    main.cpp
)


if(CMAKE_COMPILER_IS_GNUCXX)
    add_definitions (-Wall -pedantic)
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_executable(${PROJECT_NAME} ${HEADERS} ${SOURCES})
set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME ${INSTANCE_NAME})


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/boomaga.ppd
               ${CMAKE_CURRENT_BINARY_DIR}/${INSTANCE_NAME}.ppd
               @ONLY)


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${INSTANCE_NAME}
  DESTINATION ${CUPS_BACKEND_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE OWNER_EXECUTE
)


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${INSTANCE_NAME}.ppd
  DESTINATION ${CUPS_PPD_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE
    GROUP_READ
    WORLD_READ
)

=== debian/changelog ===
boomaga (1.3.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Bump debhelper compat up to 9.
  * Convert to 3.0 (quilt) source format.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 14 Nov 2018 12:58:51 -0800

boomaga (1.3.0-1xenial) xenial; urgency=low
  * New program release

 -- Alexander Sokolov <sokoloff.a@gmail.com>  Wed, 25 Apr 2018 20:58:36 +0300

=== debian/control ===
Source: boomaga
Section: utils
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alexander Sokolov <sokoloff.a@gmail.com>
Build-Depends: pkg-config,
    debhelper (>= 9),
    dpkg-dev (>= 1.16.0~),
    cmake,
    qtbase5-dev,
    qttools5-dev-tools,
    libcups2-dev,
    libsnappy-dev,
    libpoppler-cpp-dev
Standards-Version: 3.9.5
Homepage: https://github.com/Boomaga/boomaga

Package: boomaga
Architecture: any
Depends:  cups, ${shlibs:Depends}, ${misc:Depends}
Description: virtual printer for viewing a document before printing
 Boomaga (BOOklet MAnager) is a virtual printer for viewing a document before
 printing it out using the physical printer.
 The program is very simple to work with. Running any program, click “print”
 and select “Boomaga” to see in several seconds (CUPS takes some time to
 respond) the Boomaga window open.
 If you print out one more document, it gets added to the previous one, and you
 can also print them out as one.
 Regardless of whether your printer supports duplex printing or not, you would
 be able to easily print on both sides of the sheet.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS   := hardening=+all
export DEB_LDFLAGS_MAINT_APPEND  := -Wl,--as-needed

# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS instead (bug #662833)
export DEB_CFLAGS_MAINT_APPEND   := -pipe -Wall $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND := -pipe -Wall $(shell dpkg-buildflags --get CPPFLAGS)


%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## boomaga 1.3.0.1%2Brb2

=== src/backend/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2013 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


add_subdirectory(dbus)

=== src/backend/dbus/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2018 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER

cmake_minimum_required(VERSION 3.0.0)
cmake_policy(SET CMP0028 NEW)

project(backend_dbus_user)

set(HEADERS
    common.h
    inputfile.h
    systemd.h
    consolekit.h
    envinfo.h
)

set(SOURCES
    main.cpp
    common.cpp
    inputfile.cpp
    systemd.cpp
    consolekit.cpp
    envinfo.cpp
)

set(LIBRARIES
)


if(CMAKE_COMPILER_IS_GNUCXX)
    add_definitions (-Wall -pedantic)
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)


include("${CMAKE_SOURCE_DIR}/cmake/macos.cmake")
add_homebrew_qt_prefix_path()

find_package(Qt5 REQUIRED
    Core
    DBus
)

add_executable(${PROJECT_NAME} ${HEADERS} ${SOURCES})
set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "boomagabackend")
target_link_libraries(${PROJECT_NAME} ${LIBRARIES} Qt5::Core Qt5::DBus)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/boomagabackend
  DESTINATION ${NONGUI_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE OWNER_EXECUTE
    GROUP_READ             GROUP_EXECUTE
    WORLD_READ             WORLD_EXECUTE
)

add_subdirectory(root)

=== src/boomaga/translations/translatorsinfo/CMakeLists.txt ===
set(TRANSLATORS_INFO_DIR "${CMAKE_CURRENT_SOURCE_DIR}/translations/translatorsinfo")

function(create_translatorsinfo_file _infoFile)
    file(GLOB IN_FILES ${TRANSLATORS_INFO_DIR}/*.info)

    set(_outFile ${CMAKE_CURRENT_BINARY_DIR}/translators.info)
    file(WRITE ${_outFile} "")

    foreach (_file ${IN_FILES})
        get_filename_component (_name  ${_file} NAME)
        file(APPEND ${_outFile} "[${_name}]\n")

        file(READ ${_file} _content)
        file(APPEND ${_outFile} "${_content}\n")
    endforeach(_file)

    set(${_infoFile} ${_outFile} PARENT_SCOPE)
endfunction(create_translatorsinfo_file)


function(get_translatorsinfo_qrc _qrcFile)
    get_filename_component (srcDir translatorsinfo/ ABSOLUTE)
    string(REPLACE "${CMAKE_SOURCE_DIR}/" "" txSrcDir ${srcDir})

    file(WRITE "${CMAKE_BINARY_DIR}/tx/translatorsinfo.tx.sh"
        "[ -f ${srcDir}/translators.info.src ] || exit 0\n"    
        "echo '[${PROJECT_NAME}.translatorsinfo]'\n"
        "echo 'type = MOZILLAPROPERTIES'\n"
        "echo 'source_lang = en'\n"
        "echo 'source_file = ${txSrcDir}/translators.info.src'\n"
        "echo 'file_filter = ${txSrcDir}/translators_<lang>.info'\n"
        "echo ''\n"
    )
    create_translatorsinfo_file(TRANSLATORS_INFO_FILE)
    configure_file(${TRANSLATORS_INFO_DIR}/translatorsinfo.qrc.in ${CMAKE_CURRENT_BINARY_DIR}/translatorsinfo.qrc)
    set(${_qrcFile} ${CMAKE_CURRENT_BINARY_DIR}/translatorsinfo.qrc PARENT_SCOPE)
endfunction(get_translatorsinfo_qrc)

## boomaga 1.3.0.1+rb2

=== CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2018 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required(VERSION 3.0.0)
cmake_policy(SET CMP0028 NEW)

project(boomaga)

set(MAJOR_VERSION 1)
set(MINOR_VERSION 3)
set(PATCH_VERSION 0)
set(FULL_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})

add_definitions(-DMAJOR_VERSION=\"${MAJOR_VERSION}\")
add_definitions(-DMINOR_VERSION=\"${MINOR_VERSION}\")
add_definitions(-DPATCH_VERSION=\"${PATCH_VERSION}\")
add_definitions(-DFULL_VERSION=\"${FULL_VERSION}\")

set (CMAKE_CXX_STANDARD 11)

include("cmake/tools.cmake")
status_message("boomaga ver. ${FULL_VERSION}")
status_message(" ")


find_program(CUPS_CONFIG_EXECUTABLE NAMES cups-config)
if(CUPS_CONFIG_EXECUTABLE)
    exec_program(${CUPS_CONFIG_EXECUTABLE} ARGS --serverbin OUTPUT_VARIABLE CUPS_SERVERBIN)
    set(DEF_CUPS_BACKEND_DIR "${CUPS_SERVERBIN}/backend")
    set(DEF_CUPS_FILTER_DIR  "${CUPS_SERVERBIN}/filter")
else(CUPS_CONFIG_EXECUTABLE)
    message(FATAL_ERROR "Can't find cups-config. Are CUPS development packages installed?")
endif(CUPS_CONFIG_EXECUTABLE)

# Linux ***************************************
if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")

  set(DEF_CUPS_PPD_DIR /usr/share/ppd/boomaga)
  set(DEF_DBUS_MACINE_ID_DIR /var/lib/dbus)
  set(DEF_DBUS_SERVICE_DIR ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services)

# FreeBSD *************************************
elseif(${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")

  set(DEF_CUPS_PPD_DIR /usr/local/share/cups/model)
  set(DEF_DBUS_MACINE_ID_DIR /var/db/dbus)
  set(DEF_DBUS_SERVICE_DIR ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services)

endif()

set(GUI_DIR ${CMAKE_INSTALL_PREFIX}/bin)
add_definitions(-DGUI_DIR=\"${GUI_DIR}\")

set(NONGUI_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/boomaga)
add_definitions(-DNONGUI_DIR=\"${NONGUI_DIR}\")

###########################################################

setByDefault(INSTANCE_NAME      "boomaga")
setFirstUpper(CUPS_BACKEND_NAME "${INSTANCE_NAME}")

setByDefault(CUPS_BACKEND_URI   "${INSTANCE_NAME}:/")
setByDefault(CUPS_BACKEND_INFO  "${CUPS_BACKEND_NAME}")
setByDefault(CUPS_BACKEND_MODEL "${CUPS_BACKEND_NAME} printer")
setByDefault(CUPS_BACKEND_DESCRIPTION  "Virtual ${INSTANCE_NAME} printer")
setByDefault(CUPS_BACKEND_MANUFACTURER "Generic")

setByDefault(GUI_PROGRAM    ${GUI_DIR}/${INSTANCE_NAME})
setByDefault(GUI_SHARE_DIR  ${CMAKE_INSTALL_PREFIX}/share/${INSTANCE_NAME})

setByDefault(CUPS_BACKEND_DIR   "${DEF_CUPS_BACKEND_DIR}")
setByDefault(CUPS_FILTER_DIR    "${DEF_CUPS_FILTER_DIR}")
setByDefault(CUPS_PPD_DIR       "${DEF_CUPS_PPD_DIR}")
setByDefault(DBUS_MACINE_ID_DIR "${DEF_DBUS_MACINE_ID_DIR}")
setByDefault(DBUS_SERVICE_DIR   "${DEF_DBUS_SERVICE_DIR}")


status_message(" ")
status_message("You can change the following directories using cmake options like:")
status_message("-DCUPS_PPD_DIR=your_path")
status_message(" ")
status_message("  CUPS_BACKEND_DIR     =  ${CUPS_BACKEND_DIR}")
status_message("  CUPS_FILTER_DIR      =  ${CUPS_FILTER_DIR}")
status_message("  CUPS_PPD_DIR         =  ${CUPS_PPD_DIR}")
status_message("  DBUS_MACINE_ID_DIR   =  ${DBUS_MACINE_ID_DIR}")
status_message("  DBUS_SERVICE_DIR     =  ${DBUS_SERVICE_DIR}")
status_message(" ")
status_message(" You can change the following options using cmake options:")
status_message("  INSTANCE_NAME        =  ${INSTANCE_NAME}")
status_message("  CUPS_BACKEND_URI     =  ${CUPS_BACKEND_URI}")
status_message("  CUPS_BACKEND_INFO    =  ${CUPS_BACKEND_INFO}")
status_message("  CUPS_BACKEND_MODEL   =  ${CUPS_BACKEND_MODEL}")
status_message("  CUPS_BACKEND_DESCRIPTION  = ${CUPS_BACKEND_DESCRIPTION}")
status_message("  CUPS_BACKEND_MANUFACTURER = ${CUPS_BACKEND_MANUFACTURER}")
status_message(" ")

add_subdirectory(src/backend)
add_subdirectory(src/boomaga)

show_status()

=== src/boomaga/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2013 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER


cmake_minimum_required(VERSION 3.0.0)
cmake_policy(SET CMP0028 NEW)

project(boomagaGui)

set(HEADERS
    boomagatypes.h
    dbus.h
    render.h
    settings.h

    kernel/sheet.h
    kernel/inputfile.h
    kernel/job.h
    kernel/tmppdffile.h
    kernel/layout.h
    kernel/projectfile.h
    kernel/project.h
    kernel/projectpage.h
    kernel/printer.h
    kernel/cupsprinteroptions.h
        
    gui/mainwindow.h
    gui/actions.h
    gui/icon.h
    gui/aboutdialog/aboutdialog.h
    gui/configdialog/configdialog.h
    gui/export/exporttopdf.h
    gui/printdialog/printdialog.h
    gui/printersettings/printersettings.h
    gui/widgets/pagelistview.h
    gui/widgets/joblistview.h
    gui/widgets/layoutradiobutton.h
    gui/widgets/printerscombobox.h
    gui/widgets/previewwidget.h
    gui/widgets/subbookletview.h
    
    translations/translatorsinfo/translatorsinfo.h

    pdfmerger/pdfmergeripc.h
    
    pdfparser/pdferrors.h
    pdfparser/pdfxref.h
    pdfparser/pdfvalue.h
    pdfparser/pdfreader.h
    pdfparser/pdfobject.h
)

set(SOURCES
    main.cpp
    boomagatypes.cpp
    dbus.cpp
    render.cpp
    settings.cpp

    kernel/sheet.cpp
    kernel/inputfile.cpp
    kernel/job.cpp
    kernel/tmppdffile.cpp
    kernel/layout.cpp
    kernel/project.cpp
    kernel/projectpage.cpp
    kernel/cupsprinteroptions.cpp
    kernel/printer.cpp
    kernel/projectfile.cpp
    
    gui/mainwindow.cpp
    gui/actions.cpp
    gui/icon.cpp
    gui/aboutdialog/aboutdialog.cpp
    gui/configdialog/configdialog.cpp
    gui/export/exporttopdf.cpp
    gui/printdialog/printdialog.cpp
    gui/printersettings/printersettings.cpp
    gui/widgets/pagelistview.cpp
    gui/widgets/joblistview.cpp
    gui/widgets/layoutradiobutton.cpp
    gui/widgets/printerscombobox.cpp
    gui/widgets/previewwidget.cpp
    gui/widgets/subbookletview.cpp
    
    translations/translatorsinfo/translatorsinfo.cpp

    pdfmerger/pdfmergeripc.cpp
    
    pdfparser/pdfxref.cpp
    pdfparser/pdfvalue.cpp
    pdfparser/pdfreader.cpp
    pdfparser/pdfobject.cpp
)


set(LIBRARIES
)

set(QT_USE_QTDBUS 1)

set(UI_FILES
    mainwindow.ui
    printersettings/printersettings.ui
    aboutdialog/aboutdialog.ui
    export/exporttopdf.ui
    configdialog/configdialog.ui
    printdialog/printdialog.ui
)

# QRC files .................
set(RESOURCES
    misc/images/icons.qrc
    misc/images/mainicon.qrc
)

# add translations ...
file (GLOB TS_FILES
    translations/boomaga*.ts
)

set(TRANSLATIONS_DIR
    "${GUI_SHARE_DIR}/translations"
)
add_definitions(-DTRANSLATIONS_DIR=\"${TRANSLATIONS_DIR}\")


#*******************************************
include("${CMAKE_SOURCE_DIR}/cmake/macos.cmake")
add_homebrew_qt_prefix_path()

include("${CMAKE_SOURCE_DIR}/cmake/git_version.cmake")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
find_package(Qt5 REQUIRED
    Core
    Widgets
    PrintSupport
    DBus
    LinguistTools
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)


SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
find_package(Cups REQUIRED QUIET)
include_directories(${CUPS_INCLUDE_DIR})
set(LIBRARIES ${LIBRARIES} ${CUPS_LIBRARIES})

find_package(Poppler REQUIRED QUIET)
include_directories(${POPPLERCPP_INCLUDE_DIRS})
set(LIBRARIES ${LIBRARIES} ${POPPLERCPP_LIBRARIES})

find_package(ZLIB REQUIRED)
include_directories(${ZLIB_INCLUDE_DIRS})
set(LIBRARIES ${LIBRARIES} ${ZLIB_LIBRARIES})

include(translations/translatorsinfo/CMakeLists.txt)
get_translatorsinfo_qrc(translatorsinfo_qrc)
qt5_add_resources(TRANSLATORS_INFO_QRC ${translatorsinfo_qrc})

qt5_add_resources(  QRC_SOURCES ${RESOURCES})
qt5_add_translation(QM_FILES    ${TS_FILES})


add_executable(${INSTANCE_NAME} ${HEADERS} ${SOURCES} ${QM_FILES} ${QRC_SOURCES} ${TRANSLATORS_INFO_QRC})
target_link_libraries(${INSTANCE_NAME} ${LIBRARIES} Qt5::Widgets Qt5::PrintSupport Qt5::DBus)


install(TARGETS ${INSTANCE_NAME} RUNTIME DESTINATION ${GUI_DIR})
install(FILES ${QM_FILES} DESTINATION ${TRANSLATIONS_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.boomaga.service
               ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service
               @ONLY)

include(cmake/CreateDesktopFile.cmake)
CREATE_DESKTOP_FILE(misc/boomaga.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop translations/*.desktop)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service DESTINATION ${DBUS_SERVICE_DIR})


install(FILES   misc/images/mainicon/boomaga-16x16.png   DESTINATION "share/icons/hicolor/16x16/apps"   RENAME "boomaga.png")
install(FILES   misc/images/mainicon/boomaga-32x32.png   DESTINATION "share/icons/hicolor/32x32/apps"   RENAME "boomaga.png")
install(FILES   misc/images/mainicon/boomaga-48x48.png   DESTINATION "share/icons/hicolor/48x48/apps"   RENAME "boomaga.png")
install(FILES   misc/images/mainicon/boomaga-64x64.png   DESTINATION "share/icons/hicolor/64x64/apps"   RENAME "boomaga.png")
install(FILES   misc/images/mainicon/boomaga-128x128.png DESTINATION "share/icons/hicolor/128x128/apps" RENAME "boomaga.png")
install(FILES   misc/images/mainicon/boomaga-256x256.png DESTINATION "share/icons/hicolor/256x256/apps" RENAME "boomaga.png")
install(FILES   misc/images/mainicon/boomaga-512x512.png DESTINATION "share/icons/hicolor/512x512/apps" RENAME "boomaga.png")

install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop DESTINATION "share/applications")
install(FILES   misc/boomaga.xml        DESTINATION "share/mime/packages")
install(FILES   misc/boomaga.1.gz       DESTINATION share/man/man1)

add_subdirectory(pdfmerger)

add_tests("tests")

=== debian/changelog ===
boomaga (1.3.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 01 Feb 2021 14:46:58 +0800

boomaga (1.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Includes fix for cairo2 1.15.10 cups intermediate files breaking
      boomaga's UI (Closes: #890186).
  * Bump debian/compat to 11.
    - Build depend upon debhelper >= 11~.
  * Use https for debian copyright format URL.
  * Fix debian/copyright's entries order, wildcards should go first.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Add QList header.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 27 Apr 2018 15:47:46 -0300

## boomaga 3.0.0

=== selinux/CMakeLists.txt ===

project(boomaga_selinux)


option(SELINUX "Build SELinux rules." $ENV{SELINUX})


configure_file(boomaga.fc.in boomaga.fc @ONLY)
configure_file(boomaga.if.in boomaga.if @ONLY)
configure_file(boomaga.te.in boomaga.te @ONLY)



function(buildSelinux _APP _SELINUX_VARIANT)

    message("BUILD ${_SELINUX_VARIANT}")
    add_custom_target("selinux_${_SELINUX_VARIANT}" ALL)

    add_custom_command(TARGET "selinux_${_SELINUX_VARIANT}"
        COMMAND  make NAME=${_SELINUX_VARIANT} -f /usr/share/selinux/devel/Makefile --silent
        COMMAND  mv -f "${_APP}.pp" "${CMAKE_CURRENT_BINARY_DIR}/${_APP}.pp.${_SELINUX_VARIANT}"
        COMMAND  make NAME=${_SELINUX_VARIANT} -f /usr/share/selinux/devel/Makefile clean --silent
        COMMENT "Generating SELinux ${_SELINUX_VARIANT}"
        VERBATIM
    )

    set(pp_file "${CMAKE_INSTALL_PREFIX}/share/selinux/${_SELINUX_VARIANT}/${_APP}.pp")
    set(postinstall "${CMAKE_CURRENT_BINARY_DIR}/postInstall_${_SELINUX_VARIANT}.sh")

    file(WRITE  "${postinstall}"
        "/usr/sbin/semodule -s ${_SELINUX_VARIANT} -i ${pp_file} &> /dev/null || :\n"
        "/sbin/fixfiles restore ${CUPS_BACKEND_DIR}/boomaga || :\n"
    )

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${_APP}.pp.${_SELINUX_VARIANT}"
        DESTINATION share/selinux/${_SELINUX_VARIANT}
        RENAME ${_APP}.pp
        PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
    )

    install(CODE "execute_process(COMMAND sh ${postinstall})")


endfunction()

if(SELINUX)
    
    buildSelinux("boomaga" "mls")
    buildSelinux("boomaga" "targeted")
else()
    status_message("For building SELinux rules use -DSELINUX=Yes option.")
endif()

=== src/backend/CMakeLists.txt ===
--- 
+++ 
@@ -24,5 +24,9 @@
  # END_COMMON_COPYRIGHT_HEADER
 
 
-add_subdirectory(dbus)
 
+add_subdirectory(cups_backend)
+
+if(${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
+    add_subdirectory(macos_agent)
+endif()

=== src/boomaga/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,10 @@
 
 cmake_minimum_required(VERSION 3.0.0)
 cmake_policy(SET CMP0028 NEW)
+if (POLICY CMP0071)
+    cmake_policy(SET CMP0071 NEW)
+endif()
+
 
 project(boomagaGui)
 
@@ -34,18 +38,25 @@
     dbus.h
     render.h
     settings.h
+    finddbusaddress.h
+    ../common.h
 
     kernel/sheet.h
-    kernel/inputfile.h
     kernel/job.h
     kernel/tmppdffile.h
     kernel/layout.h
-    kernel/projectfile.h
     kernel/project.h
     kernel/projectpage.h
     kernel/printer.h
     kernel/cupsprinteroptions.h
-        
+    kernel/pdfprocessor.h
+
+    iofiles/infile.h
+    iofiles/boofile.h
+    iofiles/pdffile.h
+    iofiles/cupsboofile.h
+    iofiles/postscriptfile.h
+
     gui/mainwindow.h
     gui/actions.h
     gui/icon.h
@@ -62,14 +73,14 @@
     gui/widgets/subbookletview.h
     
     translations/translatorsinfo/translatorsinfo.h
-
-    pdfmerger/pdfmergeripc.h
     
     pdfparser/pdferrors.h
+    pdfparser/pdfobject.h
+    pdfparser/pdfreader.h
+    pdfparser/pdfvalue.h
+    pdfparser/pdfwriter.h
     pdfparser/pdfxref.h
-    pdfparser/pdfvalue.h
-    pdfparser/pdfreader.h
-    pdfparser/pdfobject.h
+
 )
 
 set(SOURCES
@@ -78,9 +89,10 @@
     dbus.cpp
     render.cpp
     settings.cpp
+    finddbusaddress.cpp
+    ../common.cpp
 
     kernel/sheet.cpp
-    kernel/inputfile.cpp
     kernel/job.cpp
     kernel/tmppdffile.cpp
     kernel/layout.cpp
@@ -88,8 +100,14 @@
     kernel/projectpage.cpp
     kernel/cupsprinteroptions.cpp
     kernel/printer.cpp
-    kernel/projectfile.cpp
-    
+    kernel/pdfprocessor.cpp
+    
+    iofiles/infile.cpp
+    iofiles/pdffile.cpp
+    iofiles/boofile.cpp
+    iofiles/cupsboofile.cpp
+    iofiles/postscriptfile.cpp
+
     gui/mainwindow.cpp
     gui/actions.cpp
     gui/icon.cpp
@@ -106,13 +124,12 @@
     gui/widgets/subbookletview.cpp
     
     translations/translatorsinfo/translatorsinfo.cpp
-
-    pdfmerger/pdfmergeripc.cpp
-    
+    
+    pdfparser/pdfobject.cpp
+    pdfparser/pdfreader.cpp
+    pdfparser/pdfvalue.cpp
+    pdfparser/pdfwriter.cpp
     pdfparser/pdfxref.cpp
-    pdfparser/pdfvalue.cpp
-    pdfparser/pdfreader.cpp
-    pdfparser/pdfobject.cpp
 )
 
 
@@ -193,35 +210,43 @@
 qt5_add_translation(QM_FILES    ${TS_FILES})
 
 
-add_executable(${INSTANCE_NAME} ${HEADERS} ${SOURCES} ${QM_FILES} ${QRC_SOURCES} ${TRANSLATORS_INFO_QRC})
-target_link_libraries(${INSTANCE_NAME} ${LIBRARIES} Qt5::Widgets Qt5::PrintSupport Qt5::DBus)
-
-
-install(TARGETS ${INSTANCE_NAME} RUNTIME DESTINATION ${GUI_DIR})
+add_executable(boomaga ${HEADERS} ${SOURCES} ${QM_FILES} ${QRC_SOURCES} ${TRANSLATORS_INFO_QRC})
+set_target_properties(boomaga PROPERTIES OUTPUT_NAME "boomaga")
+target_link_libraries(boomaga ${LIBRARIES} Qt5::Widgets Qt5::PrintSupport Qt5::DBus)
+
+
+install(TARGETS boomaga RUNTIME DESTINATION ${GUI_DIR})
 install(FILES ${QM_FILES} DESTINATION ${TRANSLATIONS_DIR})
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.boomaga.service
-               ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service
-               @ONLY)
-
-include(cmake/CreateDesktopFile.cmake)
-CREATE_DESKTOP_FILE(misc/boomaga.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop translations/*.desktop)
-
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service DESTINATION ${DBUS_SERVICE_DIR})
-
-
-install(FILES   misc/images/mainicon/boomaga-16x16.png   DESTINATION "share/icons/hicolor/16x16/apps"   RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-32x32.png   DESTINATION "share/icons/hicolor/32x32/apps"   RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-48x48.png   DESTINATION "share/icons/hicolor/48x48/apps"   RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-64x64.png   DESTINATION "share/icons/hicolor/64x64/apps"   RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-128x128.png DESTINATION "share/icons/hicolor/128x128/apps" RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-256x256.png DESTINATION "share/icons/hicolor/256x256/apps" RENAME "boomaga.png")
-install(FILES   misc/images/mainicon/boomaga-512x512.png DESTINATION "share/icons/hicolor/512x512/apps" RENAME "boomaga.png")
-
-install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop DESTINATION "share/applications")
-install(FILES   misc/boomaga.xml        DESTINATION "share/mime/packages")
-install(FILES   misc/boomaga.1.gz       DESTINATION share/man/man1)
-
-add_subdirectory(pdfmerger)
+if( ${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
+    # MacOS ***********************************************
+
+    # MacOS ***********************************************
+
+else()
+    # Linux + BSD *****************************************
+    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.boomaga.service
+                   ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service
+                   @ONLY)
+
+    include(cmake/CreateDesktopFile.cmake)
+    CREATE_DESKTOP_FILE(misc/boomaga.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop translations/*.desktop)
+
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.boomaga.service DESTINATION ${DBUS_SERVICE_DIR})
+
+
+    install(FILES   misc/images/mainicon/boomaga-16x16.png   DESTINATION "share/icons/hicolor/16x16/apps"   RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-32x32.png   DESTINATION "share/icons/hicolor/32x32/apps"   RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-48x48.png   DESTINATION "share/icons/hicolor/48x48/apps"   RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-64x64.png   DESTINATION "share/icons/hicolor/64x64/apps"   RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-128x128.png DESTINATION "share/icons/hicolor/128x128/apps" RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-256x256.png DESTINATION "share/icons/hicolor/256x256/apps" RENAME "boomaga.png")
+    install(FILES   misc/images/mainicon/boomaga-512x512.png DESTINATION "share/icons/hicolor/512x512/apps" RENAME "boomaga.png")
+
+    install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/boomaga.desktop DESTINATION "share/applications")
+    install(FILES   misc/boomaga.xml        DESTINATION "share/mime/packages")
+    install(FILES   misc/boomaga.1.gz       DESTINATION share/man/man1)
+    # Linux + BSD *****************************************
+endif()
 
 add_tests("tests")

=== src/backend/cups_backend/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2016 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER

project(cups_backend)

set(HEADERS
    ../../common.h
)

set(SOURCES
    main.cpp
    ../../common.cpp
)



add_definitions(-DMAC_SPOOL_DIR=\"${MAC_SPOOL_DIR}\")

add_executable(${PROJECT_NAME} ${HEADERS} ${SOURCES})
target_link_libraries(${PROJECT_NAME})
set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "boomaga")

target_include_directories(${PROJECT_NAME} PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)


install(FILES "${CMAKE_CURRENT_BINARY_DIR}/boomaga"
  DESTINATION ${CUPS_BACKEND_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE OWNER_EXECUTE
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/boomaga.ppd
               ${CMAKE_CURRENT_BINARY_DIR}/boomaga.ppd
               @ONLY)


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/boomaga.ppd
  DESTINATION ${CUPS_PPD_DIR}
  PERMISSIONS
    OWNER_READ OWNER_WRITE
    GROUP_READ
    WORLD_READ
)

=== src/backend/macos_agent/CMakeLists.txt ===
 # BEGIN_COMMON_COPYRIGHT_HEADER
 # (c)LGPL2+
 #
 #
 # Copyright: 2012-2018 Boomaga team https://github.com/Boomaga
 # Authors:
 #   Alexander Sokoloff <sokoloff.a@gmail.com>
 #
 # This program or library is free software; you can redistribute it
 # and/or modify it under the terms of the GNU Lesser General Public
 # License as published by the Free Software Foundation; either
 # version 2.1 of the License, or (at your option) any later version.
 #
 # This library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # Lesser General Public License for more details.
 #
 # You should have received a copy of the GNU Lesser General
 # Public License along with this library; if not, write to the
 # Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 # Boston, MA 02110-1301 USA
 #
 # END_COMMON_COPYRIGHT_HEADER

cmake_minimum_required(VERSION 3.0.0)
cmake_policy(SET CMP0028 NEW)

project(agent)

set(MAC_APP_ID    "io.github.Boomaga")
add_definitions(-DMAC_APP_ID=\"${MAC_APP_ID}\")

set(HEADERS
    ../../common.h
)

set(SOURCES
  main.cpp
  ../../common.cpp
)

add_executable(${PROJECT_NAME} ${HEADERS} ${SOURCES})
set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "agent")

target_include_directories(${PROJECT_NAME} PRIVATE
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file(plist.in agent.plist @ONLY)

install(TARGETS ${PROJECT_NAME}   RUNTIME DESTINATION Applications/Boomaga.app/Contents/MacOS)
install(FILES agent.plist         DESTINATION Library/LaunchAgents/${MAC_APP_ID}.agent.plist)

=== debian/changelog ===
boomaga (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to compat 12.
    - Override dh_missing instead of dh_install in order to pass --fail-missing.
  * Remove dbg migration code from debian/rules, no longer needed.
  * Update Standards-Version to 4.3.0, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Jul 2019 22:08:43 -0300

=== debian/control ===
Source: boomaga
Section: utils
Priority: optional
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               debhelper (>= 12~),
               dpkg-dev (>= 1.16.0~),
               libcups2-dev,
               libpoppler-cpp-dev,
               libpoppler-dev,
               libsnappy-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.3.0
Homepage: https://github.com/Boomaga/boomaga
Vcs-Git: https://gitlab.com/perezmeyer/debian-package-boomaga.git
Vcs-Browser: https://gitlab.com/perezmeyer/debian-package-boomaga

Package: boomaga
Architecture: any
Depends: cups, ${misc:Depends}, ${shlibs:Depends}
Description: virtual printer for viewing a document before printing
 Boomaga (BOOklet MAnager) is a virtual printer for viewing a document before
 printing it out using the physical printer.
 .
 The program is very simple to work with. Running any program, click "print"
 and select "Boomaga" to see in several seconds (CUPS takes some time to
 respond) the Boomaga window open.
 .
 If you print out one more document, it gets added to the previous one, and you
 can also print them out as one.
 .
 Regardless of whether your printer supports duplex printing or not, you would
 be able to easily print on both sides of the sheet.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT := qt5

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing
